tcltest::test 14.20-jikes-message-1 { jikes should not report an unreachable
        catch clause when fixing an earlier error in the try block can make
        the catch reachable } {jikes} {
    list [empty_class T1420jm1 {
	class E extends Exception {}
	void longname() throws E {}
	void foo() {
	    try {
		longName(); // oops, misspelled
	    } catch (E e) {
		// would be reachable if error is fixed
	    }
	}
    }] [match_err_or_warn "*catch block is unreachable*"]
} {FAIL 0}

tcltest::test 14.20-jikes-message-2 { jikes should not report an unreachable
        catch clause when fixing an earlier error in the try block can make
        the catch reachable } {jikes} {
    list [empty_class T1420jm2 {
	class E extends Exception {}
	T1420jm2(String s) throws Exception {}
	void foo() {
	    try {
		new T1420jm2('1'); // oops, wrong parameter type
	    } catch (E e) {
		// would be reachable if error is fixed
	    }
	}
    }] [match_err_or_warn "*catch block is unreachable*"]
} {FAIL 0}

tcltest::test 14.20-jikes-message-3 { jikes should not report an unreachable
        catch clause when fixing an earlier error in the try block can make
        the catch reachable } {jikes} {
    list [empty_class T1420jm3 {
	class MyException extends Exception {}
	void foo() {
	    try {
		throw new Myexception(); // oops, misspelled
	    } catch (MyException e) {
		// would be reachable if error is fixed
	    }
	}
    }] [match_err_or_warn "*catch block is unreachable*"]
} {FAIL 0}

